# $Revision: 1.25 $, $Date: 2012/03/23 18:01:26 $
Summary:	xkbcomp application - compiling XKB keyboard description
Summary(pl.UTF-8):	Aplikacja xkbcomp do kompilacji opisów klawiatury XKB
Name:		xorg-app-xkbcomp
Version:	1.2.4
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xkbcomp-%{version}.tar.bz2
# Source0-md5:	a0fc1ac3fc4fe479ade09674347c5aa0
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libxkbfile-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xkbcomp keymap compiler converts a description of an XKB keymap
into one of several output formats. The most common use for xkbcomp is
to create a compiled keymap file (.xkm extension) which can be read
directly by XKB-capable X servers or utilities. The keymap compiler
can also produce C header files or XKB source files. The C header
files produced by xkbcomp can be included by X servers or utilities
that need a built-in default keymap.

%description -l pl.UTF-8
xkbcomp jest kompilatorem map klawiatury przekształcającym opisy map
klawiatury na jeden z kilku formatów wyjściowych. Najbardziej
powszechnym zastosowaniem xkbcomp jest tworzenie plików skompilowanych
map klawiatury (z rozszerzeniem .xkm), które można mogą być czytane
bezpośrednio przez serwery X lub narzędzia obsługujące rozszerzenie
XKB. Kompilator może także utworzyć pliki nagłówkowe C lub pliki
źródłowe XKB. Pliki nagłówkowe C mogą być włączane przez serwery X lub
narzędzia wymagające wbudowanej domyślnej mapy klawiatury.

%prep
%setup -q -n xkbcomp-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README*
%attr(755,root,root) %{_bindir}/xkbcomp
%{_mandir}/man1/xkbcomp.1x*
%{_pkgconfigdir}/xkbcomp.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xkbcomp.spec,v $
Revision 1.25  2012/03/23 18:01:26  qboosh
- updated to 1.2.4

Revision 1.24  2011/06/22 20:00:36  qboosh
- updated to 1.2.3

Revision 1.23  2011/02/12 13:48:59  qboosh
- updated to 1.2.1

Revision 1.22  2011/01/29 00:07:52  sparky
- dropped pre-cvs changelog

Revision 1.21  2010/10/31 10:26:41  qboosh
- updated to 1.2.0

Revision 1.20  2009/10/09 21:40:58  qboosh
- updated util-macros version

Revision 1.19  2009/10/03 13:24:42  arekm
- up to 1.1.1

Revision 1.18  2009/07/09 05:20:40  arekm
- up to 1.1.0

Revision 1.17  2008/05/10 07:24:41  qboosh
- updated to 1.0.5

Revision 1.16  2008-03-08 01:54:12  qboosh
- updated to 1.0.4
- real descs

Revision 1.15  2007-02-12 22:09:23  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.13  2006/11/08 15:41:51  arekm
- up to 1.0.3

Revision 1.12  2006/10/15 13:57:48  qboosh
- more verbose files, release 1

Revision 1.11  2006/04/27 06:30:58  arekm
- up to 1.0.2

Revision 1.10  2006/01/12 15:01:48  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.9  2005/12/13 15:15:47  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.8  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.7  2005/10/20 23:09:35  qboosh
- added docs and dep versions, fixed appmandir

Revision 1.6  2005/10/20 22:15:22  jpc
- up to 0.99.1

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs
